# 32/64bit spec-file
#
%define name vidalia
%define version 0.2.21
%define release %mkrel 1

Summary:        Cross-platform controller KDE4 GUI for Tor
Summary(de):	Plattformunabhängige KDE4 GUI für Tor
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Group:          Graphical desktop/KDE4
URL:            http://www.vidalia-project.net/
Source0:        http://vidalia-project.net/dist/vidalia-%{version}.tar.xz
Patch0:         vidalia-0.2.9-fix-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
Requires:       tor
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
Vidalia is a cross-platform controller GUI for Tor, built using the Qt 
framework. Vidalia runs on any platform supported by Qt 4.1, including 
Windows, Mac OS X, and Linux or other Unix variants using the X11 
window system.

Vidalia allows you to start and stop Tor, view the status of Tor at a 
glance, and monitor Tor's bandwidth usage. Vidalia also makes it easy 
to contribute to the Tor network by helping you setup a Tor server, if 
you wish.

%description -l de
Vidalia ist eine Cross-Plattform-Controller KDE4 Benutzeroberfläche für Tor.
Vidalia läuft auf jeder Plattform von Qt 4.1, einschließlich der Unterstützung
von Windows, Mac OS X und Linux und anderen Unix-Varianten mit dem X11
Window-System.
Vidalia ermöglicht es Ihnen Tor zu starten und zu stoppen, den Status von
Tor mit einem Blick zu überwachen, sowie die Bandbreite der Tor Nutzung im Auge zu behalten.
Ausserdem erleichtert es die Konfiguration von Tor-Netzwerken bei Bedarf.

#french
%description -l fr
Vidalia est une croix-plateforme KDE4 contrôleur d'interface graphique pour Tor.
Vidalia fonctionne sur n'importe quel plateforme prise en charge de 4,1 Qt, y compris
Windows, Mac OS X et Linux, ou d'autres variantes d'Unix en utilisant le X11
Window System.

#spanish
%description -l es
Vidalia es una cruz-plataforma de controlador de KDE4 GUI para Tor.
Vidalia se ejecuta en cualquier plataforma soportada por Qt 4.1, incluyendo
Windows, Mac OS X, y Linux u otras variantes de Unix usando el X11
sistema de ventanas.

#polish
%description -l pl
Vidalia jest cross-platform kontrolera KDE4 GUI dla Tora.
Vidalia działa na każdej platformie, wspierane przez Qt 4.1, w tym
Windows, Mac OS X i Linux lub innych wariantów Uniksa z wykorzystaniem X11
System okien.

#serbian
%description -l sr
Саваннах је Цросс-платформ ГУИ-а за контролер КДЕ4 Тор.
Саваннах ради на било којој платформи подржава КТ 4.1, укључујући и
Оперативног система Уиндоус, Мац ОС Кс, Линукс и Уникс или друге варијанте помоћу Икс11
прозор система.

#dutch
%description -l nl
Vidalia is een cross-platform controller KDE4 GUI voor Tor.
Vidalia draait op elk platform ondersteund door Qt 4.1, met inbegrip
Windows, Mac OS X en Linux en andere Unix-varianten met behulp van de X11
raamsysteem.


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildRequires:  doxygen
Requires:       %{name} = %{version}-%{release}

%description doc
Doxygen generated documentations for %{name}.

%description doc -l de
Doxygen generierte Dokumentation für %{name}.

%prep
%setup -q
%patch0 -p1

%build
%cmake_qt4
%make
cd  doc
make doxygen

%install
rm -rf %{buildroot}
%makeinstall_std -C build

install -D -p -m 644 doc/vidalia.1 %{buildroot}%{_mandir}/man1/vidalia.1


desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Internet-Network" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*


install -dm 755  $RPM_BUILD_ROOT/%{_datadir}/man/man1
install -m 644 doc/vidalia.1 $RPM_BUILD_ROOT%{_datadir}/man/man1




%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc CHANGELOG CREDITS HACKING LICENSE README
%{_bindir}/vidalia
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png 
%{_mandir}/man1/%{name}.1*

%files doc
%defattr(-,root,root,-)
%doc build/doc/html

%changelog
* Wed Jan 23 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.2.21-1pclos2013
- 0.2.21

* Mon Aug 13 2012 Neal <nealbrks0 at gmail dot com> 0.2.20-1pclos2012
- process

* Mon Aug 13 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.2.20-1pclos2012
- 0.2.20

* Tue Jun 12 2012 Neal <nealbrks0 at gmail dot com> 0.2.19-1pclos2012
- process

* Tue Jun 12 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.2.19-1pclos2012
- 0.2.19

* Thu Apr 19 2012 Neal <nealbrks0 at gmail.com> 0.2.17-1pclos2012
- process

* Thu Apr 19 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.2.17-1pclos2012
- 0.2.17
- fixed the patch
- added german summary

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Tue Aug 31 2010 Texstar <texstar at gmail.com> 0.2.9-1pclos2010
- 0.2.9

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.1.15-5pclos2010
- rebuild for 4.5.1

* Tue Aug 17 2010 pcserver <pcserver at hush.com> 0.1.15-4pclos2010
- update package

* Tue Mar 09 2010 Texstar <texstar at gmail.com> 0.1.15-3pclos2010
- rebuild

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 0.1.15-2pclos2010
- rebuild

* Sat Oct 03 2009 slick50 <lxgator@gmail.com> 0.1.15-1pclos2010
- initial build
